#include "geneticreconstruction.h"
#include "lrf2.h"
#include "sensorlrfs.h"

IndividualGA::IndividualGA(int iGenes)
{
  setNumGenes(iGenes);
}

void IndividualGA::setNumGenes(int iGenes)
{
  numGenes = iGenes;
  Gene.resize(numGenes);
  GeneStrength.resize(numGenes);
}


PopulationGA::PopulationGA(SensorLRFs *LRFmodule)
{
  LRFs = LRFmodule;
}
