#include "tmpobjhubclass.h"

#include "TH1D.h"
#include "TH2D.h"
#include "TGraph.h"

#include <QtGui>

RootDrawObj::RootDrawObj()
{
  Obj = 0;

  MarkerColor = 4; MarkerStyle = 20; MarkerSize = 1;
  LineColor = 4;   LineStyle = 1;    LineWidth = 1;
}

RootDrawObj::~RootDrawObj()
{
  if (Obj)
    {
      delete Obj;
      //qDebug() << "Deleting" << name << type;
    }
}

int ScriptDrawCollection::findIndexOf(QString name)
{
  for (int i=0; i<List.size(); i++)
    if (List.at(i).name == name) return i;
  return -1; //not found
}

void ScriptDrawCollection::append(TObject *obj, QString name, QString type)
{
  List.append(RootDrawObj());
  List.last().Obj = obj;
  List.last().name = name;
  List.last().type = type;
}
