#ifndef GENETICRECONSTRUCTION_H
#define GENETICRECONSTRUCTION_H

#include <QVector>

class LRF2;
class SensorLRFs;

class IndividualGA
{
public:
  double Fitness;
  QVector<LRF2*> Gene;
  QVector<double> GeneStrength;

  IndividualGA(int iGenes);
  void setNumGenes(int iGenes);

private:
  int numGenes;
};

class PopulationGA
{
public:
  QVector<IndividualGA*> Individuals;


  PopulationGA(SensorLRFs* LRFmodule);

private:
  SensorLRFs* LRFs;

};


#endif // GENETICRECONSTRUCTION_H
