#ifndef S1_GENERATOR_H
#define S1_GENERATOR_H

#include <QObject>

//own
#include "classes.h"

struct EnergyDepositionCell;
struct MaterialStructure;
class Photon_Tracker;
class Photon_Generator;
class MaterialCollectionClass;

class S1_Generator : public QObject
{
    Q_OBJECT
public:
    explicit S1_Generator(Photon_Generator* photonGenerator, Photon_Tracker* photonTracker, MaterialCollectionClass* materialCollection, QVector<EnergyDepositionCell*>* energyVector, QVector<GeneratedPhotonsHistoryStructure>* PhotonsHistory, QObject *parent = 0);        //

    bool Generate(); //uses MW->EnergyVector as the input parameter

    void setDoTextLog(bool flag){DoTextLog = flag;}

signals:
    
public slots:

private:    
   // EnergyDepositionStructure* EnergyVector;
    QVector<EnergyDepositionCell*>* EnergyVector;
    Photon_Generator* PhotonGenerator;
    Photon_Tracker* PhotonTracker;
    MaterialCollectionClass* MaterialCollection;
    QVector<GeneratedPhotonsHistoryStructure>* GeneratedPhotonsHistory;

    bool DoTextLog;
    
};

#endif // S1_GENERATOR_H
